help compiling freediag 0.3

Help
2004-03-11
2013-04-24
  • koolcat6666

    koolcat6666 - 2004-03-11

    ive  a problem compiling freediag 0.3 ive Mandrake 8.1, im mewbie about linux adn im learning it
    im attaching u the log from ./configure & make!
    i hope u can help thanx Nik

    ./configure
    checking for gcc... gcc
    checking for C compiler default output... a.out
    checking whether the C compiler works... yes
    checking whether we are cross compiling... no
    checking for suffix of executables...
    checking for suffix of object files... o
    checking whether we are using the GNU C compiler... yes
    checking whether gcc accepts -g... yes
    checking for tparm in -lncurses... no
    checking for tgetent in -ltermcap... no
    checking how to run the C preprocessor... gcc -E
    checking for ANSI C header files... yes
    checking for sys/types.h... yes
    checking for sys/stat.h... yes
    checking for stdlib.h... yes
    checking for string.h... yes
    checking for memory.h... yes
    checking for strings.h... yes
    checking for inttypes.h... yes
    checking for stdint.h... yes
    checking for unistd.h... yes
    checking for readline in -lreadline... no
    configure: creating ./config.status
    config.status: creating Makefile
    config.status: creating config.h

    make
    autoconf configure.ac
    #! /bin/sh

    # Guess values for system-dependent variables and create Makefiles.
    # Generated automatically using autoconf version 2.13
    # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
    #
    # This configure script is free software; the Free Software Foundation
    # gives unlimited permission to copy, distribute and modify it.

    # Defaults:
    ac_help=
    ac_default_prefix=/usr/local
    # Any additions from configure.in:

    # Initialize some variables set by options.
    # The variables have the same names as the options, with
    # dashes changed to underlines.
    build=NONE
    cache_file=./config.cache
    exec_prefix=NONE
    host=NONE
    no_create=
    nonopt=NONE
    no_recursion=
    prefix=NONE
    program_prefix=NONE
    program_suffix=NONE
    program_transform_name=s,x,x,
    silent=
    site=
    srcdir=
    target=NONE
    verbose=
    x_includes=NONE
    x_libraries=NONE
    bindir='${exec_prefix}/bin'
    sbindir='${exec_prefix}/sbin'
    libexecdir='${exec_prefix}/libexec'
    datadir='${prefix}/share'
    sysconfdir='${prefix}/etc'
    sharedstatedir='${prefix}/com'
    localstatedir='${prefix}/var'
    libdir='${exec_prefix}/lib'
    includedir='${prefix}/include'
    oldincludedir='/usr/include'
    infodir='${prefix}/info'
    mandir='${prefix}/man'

    # Initialize some other variables.
    subdirs=
    MFLAGS= MAKEFLAGS=
    SHELL=${CONFIG_SHELL-/bin/sh}
    # Maximum number of lines to put in a shell here document.
    ac_max_here_lines=12

    ac_prev=
    for ac_option
    do

      # If the previous option needs an argument, assign it.
      if test -n "$ac_prev"; then
        eval "$ac_prev=\$ac_option"
        ac_prev=
        continue
      fi

      case "$ac_option" in
      -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
      *) ac_optarg= ;;
      esac

      # Accept the important Cygnus configure options, so we can diagnose typos.

      case "$ac_option" in

      -bindir | --bindir | --bindi | --bind | --bin | --bi)
        ac_prev=bindir ;;
      -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
        bindir="$ac_optarg" ;;

      -build | --build | --buil | --bui | --bu)
        ac_prev=build ;;
      -build=* | --build=* | --buil=* | --bui=* | --bu=*)
        build="$ac_optarg" ;;

      -cache-file | --cache-file | --cache-fil | --cache-fi \   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
        ac_prev=cache_file ;;
      -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
        cache_file="$ac_optarg" ;;

      -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
        ac_prev=datadir ;;
      -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \   | --da=*)
        datadir="$ac_optarg" ;;

      -disable-* | --disable-*)
        ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
        # Reject names that are not valid shell variable names.
        if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
          { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
        fi
        ac_feature=`echo $ac_feature| sed 's/-/_/g'`
        eval "enable_${ac_feature}=no" ;;

      -enable-* | --enable-*)
        ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
        # Reject names that are not valid shell variable names.
        if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
          { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
        fi
        ac_feature=`echo $ac_feature| sed 's/-/_/g'`
        case "$ac_option" in
          *=*) ;;
          *) ac_optarg=yes ;;
        esac
        eval "enable_${ac_feature}='$ac_optarg'" ;;

      -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \   | --exec | --exe | --ex)
        ac_prev=exec_prefix ;;
      -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \   | --exec=* | --exe=* | --ex=*)
        exec_prefix="$ac_optarg" ;;

      -gas | --gas | --ga | --g)
        # Obsolete; use --with-gas.
        with_gas=yes ;;

      -help | --help | --hel | --he)
        # Omit some internal or obsolete options to make the list less imposing.
        # This message is too long to be a string in the A/UX 3.1 sh.
        cat << EOF
    Usage: configure [options] [host]
    Options: [defaults in brackets after descriptions]
    Configuration:
      --cache-file=FILE       cache test results in FILE
      --help                  print this message
      --no-create             do not create output files
      --quiet, --silent       do not print \`checking...' messages
      --version               print the version of autoconf that created configure
    Directory and file names:
      --prefix=PREFIX         install architecture-independent files in PREFIX
                              [$ac_default_prefix]
      --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                              [same as prefix]
      --bindir=DIR            user executables in DIR [EPREFIX/bin]
      --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
      --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
      --datadir=DIR           read-only architecture-independent data in DIR
                              [PREFIX/share]
      --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
      --sharedstatedir=DIR    modifiable architecture-independent data in DIR
                              [PREFIX/com]
      --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
      --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
      --includedir=DIR        C header files in DIR [PREFIX/include]
      --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
      --infodir=DIR           info documentation in DIR [PREFIX/info]
      --mandir=DIR            man documentation in DIR [PREFIX/man]
      --srcdir=DIR            find the sources in DIR [configure dir or ..]
      --program-prefix=PREFIX prepend PREFIX to installed program names
      --program-suffix=SUFFIX append SUFFIX to installed program names
      --program-transform-name=PROGRAM
                              run sed PROGRAM on installed program names
    EOF
        cat << EOF
    Host type:
      --build=BUILD           configure for building on BUILD [BUILD=HOST]
      --host=HOST             configure for HOST [guessed]
      --target=TARGET         configure for TARGET [TARGET=HOST]
    Features and packages:
      --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
      --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
      --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
      --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
      --x-includes=DIR        X include files are in DIR
      --x-libraries=DIR       X library files are in DIR
    EOF
        if test -n "$ac_help"; then
          echo "--enable and --with options recognized:$ac_help"
        fi
        exit 0 ;;

      -host | --host | --hos | --ho)
        ac_prev=host ;;
      -host=* | --host=* | --hos=* | --ho=*)
        host="$ac_optarg" ;;

      -includedir | --includedir | --includedi | --included | --include \   | --includ | --inclu | --incl | --inc)
        ac_prev=includedir ;;
      -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \   | --includ=* | --inclu=* | --incl=* | --inc=*)
        includedir="$ac_optarg" ;;

      -infodir | --infodir | --infodi | --infod | --info | --inf)
        ac_prev=infodir ;;
      -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
        infodir="$ac_optarg" ;;

      -libdir | --libdir | --libdi | --libd)
        ac_prev=libdir ;;
      -libdir=* | --libdir=* | --libdi=* | --libd=*)
        libdir="$ac_optarg" ;;

      -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \   | --libexe | --libex | --libe)
        ac_prev=libexecdir ;;
      -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \   | --libexe=* | --libex=* | --libe=*)
        libexecdir="$ac_optarg" ;;

      -localstatedir | --localstatedir | --localstatedi | --localstated \   | --localstate | --localstat | --localsta | --localst \   | --locals | --local | --loca | --loc | --lo)
        ac_prev=localstatedir ;;
      -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \   | --localstate=* | --localstat=* | --localsta=* | --localst=* \   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
        localstatedir="$ac_optarg" ;;

      -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
        ac_prev=mandir ;;
      -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
        mandir="$ac_optarg" ;;

      -nfp | --nfp | --nf)
        # Obsolete; use --without-fp.
        with_fp=no ;;

      -no-create | --no-create | --no-creat | --no-crea | --no-cre \   | --no-cr | --no-c)
        no_create=yes ;;

      -no-recursion | --no-recursion | --no-recursio | --no-recursi \   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
        no_recursion=yes ;;

      -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \   | --oldin | --oldi | --old | --ol | --o)
        ac_prev=oldincludedir ;;
      -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
        oldincludedir="$ac_optarg" ;;

      -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
        ac_prev=prefix ;;
      -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
        prefix="$ac_optarg" ;;

      -program-prefix | --program-prefix | --program-prefi | --program-pref \   | --program-pre | --program-pr | --program-p)
        ac_prev=program_prefix ;;
      -program-prefix=* | --program-prefix=* | --program-prefi=* \   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
        program_prefix="$ac_optarg" ;;

      -program-suffix | --program-suffix | --program-suffi | --program-suff \   | --program-suf | --program-su | --program-s)
        ac_prev=program_suffix ;;
      -program-suffix=* | --program-suffix=* | --program-suffi=* \   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
        program_suffix="$ac_optarg" ;;

      -program-transform-name | --program-transform-name \   | --program-transform-nam | --program-transform-na \   | --program-transform-n | --program-transform- \   | --program-transform | --program-transfor \   | --program-transfo | --program-transf \   | --program-trans | --program-tran \   | --progr-tra | --program-tr | --program-t)
        ac_prev=program_transform_name ;;
      -program-transform-name=* | --program-transform-name=* \   | --program-transform-nam=* | --program-transform-na=* \   | --program-transform-n=* | --program-transform-=* \   | --program-transform=* | --program-transfor=* \   | --program-transfo=* | --program-transf=* \   | --program-trans=* | --program-tran=* \   | --progr-tra=* | --program-tr=* | --program-t=*)
        program_transform_name="$ac_optarg" ;;

      -q | -quiet | --quiet | --quie | --qui | --qu | --q \   | -silent | --silent | --silen | --sile | --sil)
        silent=yes ;;

      -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
        ac_prev=sbindir ;;
      -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \   | --sbi=* | --sb=*)
        sbindir="$ac_optarg" ;;

      -sharedstatedir | --sharedstatedir | --sharedstatedi \   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \   | --sharedst | --shareds | --shared | --share | --shar \   | --sha | --sh)
        ac_prev=sharedstatedir ;;
      -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \   | --sha=* | --sh=*)
        sharedstatedir="$ac_optarg" ;;

      -site | --site | --sit)
        ac_prev=site ;;
      -site=* | --site=* | --sit=*)
        site="$ac_optarg" ;;

      -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
        ac_prev=srcdir ;;
      -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
        srcdir="$ac_optarg" ;;

      -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \   | --syscon | --sysco | --sysc | --sys | --sy)
        ac_prev=sysconfdir ;;
      -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
        sysconfdir="$ac_optarg" ;;

      -target | --target | --targe | --targ | --tar | --ta | --t)
        ac_prev=target ;;
      -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
        target="$ac_optarg" ;;

      -v | -verbose | --verbose | --verbos | --verbo | --verb)
        verbose=yes ;;

      -version | --version | --versio | --versi | --vers)
        echo "configure generated by autoconf version 2.13"
        exit 0 ;;

      -with-* | --with-*)
        ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
        # Reject names that are not valid shell variable names.
        if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
          { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
        fi
        ac_package=`echo $ac_package| sed 's/-/_/g'`
        case "$ac_option" in
          *=*) ;;
          *) ac_optarg=yes ;;
        esac
        eval "with_${ac_package}='$ac_optarg'" ;;

      -without-* | --without-*)
        ac_package=`echo $ac_option|sed -e 's/-*without-//'`
        # Reject names that are not valid shell variable names.
        if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
          { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
        fi
        ac_package=`echo $ac_package| sed 's/-/_/g'`
        eval "with_${ac_package}=no" ;;

      --x)
        # Obsolete; use --with-x.
        with_x=yes ;;

      -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \   | --x-incl | --x-inc | --x-in | --x-i)
        ac_prev=x_includes ;;
      -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
        x_includes="$ac_optarg" ;;

      -x-libraries | --x-libraries | --x-librarie | --x-librari \   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
        ac_prev=x_libraries ;;
      -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
        x_libraries="$ac_optarg" ;;

      -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
        ;;

      *)
        if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
          echo "configure: warning: $ac_option: invalid host type" 1>&2
        fi
        if test "x$nonopt" != xNONE; then
          { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
        fi
        nonopt="$ac_option"
        ;;

      esac
    done

    if test -n "$ac_prev"; then
      { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
    fi

    trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

    # File descriptor usage:
    # 0 standard input
    # 1 file creation
    # 2 errors and warnings
    # 3 some systems may open it to /dev/tty
    # 4 used on the Kubota Titan
    # 6 checking for... messages and results
    # 5 compiler messages saved in config.log
    if test "$silent" = yes; then
      exec 6>/dev/null
    else
      exec 6>&1
    fi
    exec 5>./config.log

    echo "\ This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.
    " 1>&5

    # Strip out --no-create and --no-recursion so they do not pile up.
    # Also quote any args containing shell metacharacters.
    ac_configure_args=
    for ac_arg
    do
      case "$ac_arg" in
      -no-create | --no-create | --no-creat | --no-crea | --no-cre \   | --no-cr | --no-c) ;;
      -no-recursion | --no-recursion | --no-recursio | --no-recursi \   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
      *" "*|*"    "*|*[\[\]\~\#\$\^\&amp;\*\(\)\{\}\\\|\;\&lt;\&gt;\?]*)
      ac_configure_args="$ac_configure_args '$ac_arg'" ;;
      *) ac_configure_args="$ac_configure_args $ac_arg" ;;
      esac
    done

    # NLS nuisances.
    # Only set these to C if already set.  These must not be set unconditionally
    # because not all systems understand e.g. LANG=C (notably SCO).
    # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
    # Non-C LC_CTYPE values break the ctype check.
    if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
    if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
    if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
    if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi

    # confdefs.h avoids OS command line length limits that DEFS can exceed.
    rm -rf conftest* confdefs.h
    # AIX cpp loses on an empty file, so make sure it contains at least a newline.
    echo > confdefs.h

    # A filename unique to this package, relative to the directory that
    # configure is in, which we can look for to find out if srcdir is correct.
    ac_unique_file=freediag

    # Find the source files, if location was not specified.
    if test -z "$srcdir"; then
      ac_srcdir_defaulted=yes
      # Try the directory containing this script, then its parent.
      ac_prog=$4
      ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
      test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
      srcdir=$ac_confdir
      if test ! -r $srcdir/$ac_unique_file; then
        srcdir=..
      fi
    else
      ac_srcdir_defaulted=no
    fi
    if test ! -r $srcdir/$ac_unique_file; then
      if test "$ac_srcdir_defaulted" = yes; then
        { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
      else
        { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
      fi
    fi
    srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`

    # Prefer explicitly selected file to automatically selected ones.
    if test -z "$CONFIG_SITE"; then
      if test "x$prefix" != xNONE; then
        CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
      else
        CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
      fi
    fi
    for ac_site_file in $CONFIG_SITE; do
      if test -r "$ac_site_file"; then
        echo "loading site script $ac_site_file"
        . "$ac_site_file"
      fi
    done

    if test -r "$cache_file"; then
      echo "loading cache $cache_file"
      . $cache_file
    else
      echo "creating cache $cache_file"
      > $cache_file
    fi

    ac_ext=c
    # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
    ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
    cross_compiling=$ac_cv_prog_cc_cross

    ac_exeext=
    ac_objext=o
    if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
      # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
      if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
        ac_n= ac_c='
    ' ac_t='    '
      else
        ac_n=-n ac_c= ac_t=
      fi
    else
      ac_n= ac_c='\c' ac_t=
    fi

    AC_CONFIG_HEADERS(config.h)
    AC_CONFIG_SRCDIR(diag.h)

    # Extract the first word of "gcc", so it can be a program name with args.
    set dummy gcc; ac_word=
    echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
    echo "configure:531: checking for $ac_word" >&5
    if eval "test \&quot;`echo '$''{'ac_cv_prog_CC'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
      if test -n "$CC"; then
      ac_cv_prog_CC="$CC" # Let the user override the test.
    else
      IFS="${IFS=     }"; ac_save_ifs="$IFS"; IFS=":"
      ac_dummy="$PATH"
      for ac_dir in $ac_dummy; do
        test -z "$ac_dir" && ac_dir=.
        if test -f $ac_dir/$ac_word; then
          ac_cv_prog_CC="gcc"
          break
        fi
      done
      IFS="$ac_save_ifs"
    fi
    fi
    CC="$ac_cv_prog_CC"
    if test -n "$CC"; then
      echo "$ac_t""$CC" 1>&6
    else
      echo "$ac_t""no" 1>&6
    fi

    if test -z "$CC"; then
      # Extract the first word of "cc", so it can be a program name with args.
    set dummy cc; ac_word=
    echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
    echo "configure:561: checking for $ac_word" >&5
    if eval "test \&quot;`echo '$''{'ac_cv_prog_CC'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
      if test -n "$CC"; then
      ac_cv_prog_CC="$CC" # Let the user override the test.
    else
      IFS="${IFS=     }"; ac_save_ifs="$IFS"; IFS=":"
      ac_prog_rejected=no
      ac_dummy="$PATH"
      for ac_dir in $ac_dummy; do
        test -z "$ac_dir" && ac_dir=.
        if test -f $ac_dir/$ac_word; then
          if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
            ac_prog_rejected=yes
        continue
          fi
          ac_cv_prog_CC="cc"
          break
        fi
      done
      IFS="$ac_save_ifs"
    if test $ac_prog_rejected = yes; then
      # We found a bogon in the path, so make sure we never use it.
      set dummy $ac_cv_prog_CC
      shift
      if test $# -gt 0; then
        # We chose a different compiler from the bogus one.
        # However, it has the same basename, so the bogon will be chosen
        # first if we set CC to just the basename; use the full file name.
        shift
        set dummy "$ac_dir/$ac_word" "$@"
        shift
        ac_cv_prog_CC="$@"
      fi
    fi
    fi
    fi
    CC="$ac_cv_prog_CC"
    if test -n "$CC"; then
      echo "$ac_t""$CC" 1>&6
    else
      echo "$ac_t""no" 1>&6
    fi

      if test -z "$CC"; then
        case "`uname -s`" in
        *win32* | *WIN32*)
          # Extract the first word of "cl", so it can be a program name with args.
    set dummy cl; ac_word=
    echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
    echo "configure:612: checking for $ac_word" >&5
    if eval "test \&quot;`echo '$''{'ac_cv_prog_CC'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
      if test -n "$CC"; then
      ac_cv_prog_CC="$CC" # Let the user override the test.
    else
      IFS="${IFS=     }"; ac_save_ifs="$IFS"; IFS=":"
      ac_dummy="$PATH"
      for ac_dir in $ac_dummy; do
        test -z "$ac_dir" && ac_dir=.
        if test -f $ac_dir/$ac_word; then
          ac_cv_prog_CC="cl"
          break
        fi
      done
      IFS="$ac_save_ifs"
    fi
    fi
    CC="$ac_cv_prog_CC"
    if test -n "$CC"; then
      echo "$ac_t""$CC" 1>&6
    else
      echo "$ac_t""no" 1>&6
    fi
    ;;
        esac
      fi
      test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
    fi

    echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
    echo "configure:644: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5

    ac_ext=c
    # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
    ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
    cross_compiling=$ac_cv_prog_cc_cross

    cat > conftest.$ac_ext << EOF

    #line 655 "configure"
    #include "confdefs.h"

    main(){return(0);}
    EOF
    if { (eval echo configure:660: \&quot;$ac_link\&quot;) 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
      ac_cv_prog_cc_works=yes
      # If we can't run a trivial program, we are probably using a cross compiler.
      if (./conftest; exit) 2>/dev/null; then
        ac_cv_prog_cc_cross=no
      else
        ac_cv_prog_cc_cross=yes
      fi
    else
      echo "configure: failed program was:" >&5
      cat conftest.$ac_ext >&5
      ac_cv_prog_cc_works=no
    fi
    rm -fr conftest*
    ac_ext=c
    # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
    ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
    cross_compiling=$ac_cv_prog_cc_cross

    echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
    if test $ac_cv_prog_cc_works = no; then
      { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
    fi
    echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
    echo "configure:686: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
    echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
    cross_compiling=$ac_cv_prog_cc_cross

    echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
    echo "configure:691: checking whether we are using GNU C" >&5
    if eval "test \&quot;`echo '$''{'ac_cv_prog_gcc'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
      cat > conftest.c <<EOF
    #ifdef __GNUC__
      yes;
    #endif
    EOF
    if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:700: \&quot;$ac_try\&quot;) 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
      ac_cv_prog_gcc=yes
    else
      ac_cv_prog_gcc=no
    fi
    fi

    echo "$ac_t""$ac_cv_prog_gcc" 1>&6

    if test $ac_cv_prog_gcc = yes; then
      GCC=yes
    else
      GCC=
    fi

    ac_test_CFLAGS="${CFLAGS+set}"
    ac_save_CFLAGS="$CFLAGS"
    CFLAGS=
    echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
    echo "configure:719: checking whether ${CC-cc} accepts -g" >&5
    if eval "test \&quot;`echo '$''{'ac_cv_prog_cc_g'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
      echo 'void f(){}' > conftest.c
    if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
      ac_cv_prog_cc_g=yes
    else
      ac_cv_prog_cc_g=no
    fi
    rm -f conftest*

    fi

    echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
    if test "$ac_test_CFLAGS" = set; then
      CFLAGS="$ac_save_CFLAGS"
    elif test $ac_cv_prog_cc_g = yes; then
      if test "$GCC" = yes; then
        CFLAGS="-g -O2"
      else
        CFLAGS="-g"
      fi
    else
      if test "$GCC" = yes; then
        CFLAGS="-O2"
      else
        CFLAGS=
      fi
    fi

    # Checks for libraries.
    echo $ac_n "checking for tparm in -lncurses""... $ac_c" 1>&6
    echo "configure:753: checking for tparm in -lncurses" >&5
    ac_lib_var=`echo ncurses'_'tparm | sed 'y%./+-%__p_%'`
    if eval "test \&quot;`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
      ac_save_LIBS="$LIBS"
    LIBS="-lncurses  $LIBS"
    cat > conftest.$ac_ext <<EOF
    #line 761 "configure"
    #include "confdefs.h"
    /* Override any gcc2 internal prototype to avoid an error.  */
    /* We use char because int might match the return type of a gcc2
        builtin and then its argument prototype would still apply.  */
    char tparm();

    int main() {
    tparm()
    ; return 0; }
    EOF
    if { (eval echo configure:772: \&quot;$ac_link\&quot;) 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
      rm -rf conftest*
      eval "ac_cv_lib_$ac_lib_var=yes"
    else
      echo "configure: failed program was:" >&5
      cat conftest.$ac_ext >&5
      rm -rf conftest*
      eval "ac_cv_lib_$ac_lib_var=no"
    fi
    rm -f conftest*
    LIBS="$ac_save_LIBS"

    fi
    if eval "test \&quot;`echo '$ac_cv_lib_'$ac_lib_var`\&quot; = yes"; then
      echo "$ac_t""yes" 1>&6
      TERMLIB=-lncurses
    else
      echo "$ac_t""no" 1>&6
    echo $ac_n "checking for tgetent in -ltermcap""... $ac_c" 1>&6
    echo "configure:791: checking for tgetent in -ltermcap" >&5
    ac_lib_var=`echo termcap'_'tgetent | sed 'y%./+-%__p_%'`
    if eval "test \&quot;`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
      ac_save_LIBS="$LIBS"
    LIBS="-ltermcap  $LIBS"
    cat > conftest.$ac_ext <<EOF
    #line 799 "configure"
    #include "confdefs.h"
    /* Override any gcc2 internal prototype to avoid an error.  */
    /* We use char because int might match the return type of a gcc2
        builtin and then its argument prototype would still apply.  */
    char tgetent();

    int main() {
    tgetent()
    ; return 0; }
    EOF
    if { (eval echo configure:810: \&quot;$ac_link\&quot;) 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
      rm -rf conftest*
      eval "ac_cv_lib_$ac_lib_var=yes"
    else
      echo "configure: failed program was:" >&5
      cat conftest.$ac_ext >&5
      rm -rf conftest*
      eval "ac_cv_lib_$ac_lib_var=no"
    fi
    rm -f conftest*
    LIBS="$ac_save_LIBS"

    fi
    if eval "test \&quot;`echo '$ac_cv_lib_'$ac_lib_var`\&quot; = yes"; then
      echo "$ac_t""yes" 1>&6
      TERMLIB=-ltermcap
    else
      echo "$ac_t""no" 1>&6
    fi

    fi

    saved_LIBS="$LIBS"
    LIBS="$LIBS $TERMLIB"
    echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
    echo "configure:835: checking how to run the C preprocessor" >&5
    # On Suns, sometimes $CPP names a directory.
    if test -n "$CPP" && test -d "$CPP"; then
      CPP=
    fi
    if test -z "$CPP"; then
    if eval "test \&quot;`echo '$''{'ac_cv_prog_CPP'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
        # This must be in double quotes, not single quotes, because CPP may get
      # substituted into the Makefile and "${CC-cc}" will confuse make.
      CPP="${CC-cc} -E"
      # On the NeXT, cc -E runs the code through the compiler's parser,
      # not just through cpp.
      cat > conftest.$ac_ext <<EOF
    #line 850 "configure"
    #include "confdefs.h"
    #include <assert.h>
    Syntax Error
    EOF
    ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
    { (eval echo configure:856: \&quot;$ac_try\&quot;) 1>&5; (eval $ac_try) 2>&5; }
    ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
    if test -z "$ac_err"; then
      :
    else
      echo "$ac_err" >&5
      echo "configure: failed program was:" >&5
      cat conftest.$ac_ext >&5
      rm -rf conftest*
      CPP="${CC-cc} -E -traditional-cpp"
      cat > conftest.$ac_ext <<EOF
    #line 867 "configure"
    #include "confdefs.h"
    #include <assert.h>
    Syntax Error
    EOF
    ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
    { (eval echo configure:873: \&quot;$ac_try\&quot;) 1>&5; (eval $ac_try) 2>&5; }
    ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
    if test -z "$ac_err"; then
      :
    else
      echo "$ac_err" >&5
      echo "configure: failed program was:" >&5
      cat conftest.$ac_ext >&5
      rm -rf conftest*
      CPP="${CC-cc} -nologo -E"
      cat > conftest.$ac_ext <<EOF
    #line 884 "configure"
    #include "confdefs.h"
    #include <assert.h>
    Syntax Error
    EOF
    ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
    { (eval echo configure:890: \&quot;$ac_try\&quot;) 1>&5; (eval $ac_try) 2>&5; }
    ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
    if test -z "$ac_err"; then
      :
    else
      echo "$ac_err" >&5
      echo "configure: failed program was:" >&5
      cat conftest.$ac_ext >&5
      rm -rf conftest*
      CPP=/lib/cpp
    fi
    rm -f conftest*
    fi
    rm -f conftest*
    fi
    rm -f conftest*
      ac_cv_prog_CPP="$CPP"
    fi
      CPP="$ac_cv_prog_CPP"
    else
      ac_cv_prog_CPP="$CPP"
    fi
    echo "$ac_t""$CPP" 1>&6

    echo $ac_n "checking for readline in -lreadline""... $ac_c" 1>&6
    echo "configure:915: checking for readline in -lreadline" >&5
    ac_lib_var=`echo readline'_'readline | sed 'y%./+-%__p_%'`
    if eval "test \&quot;`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
      ac_save_LIBS="$LIBS"
    LIBS="-lreadline  $LIBS"
    cat > conftest.$ac_ext <<EOF
    #line 923 "configure"
    #include "confdefs.h"
    /* Override any gcc2 internal prototype to avoid an error.  */
    /* We use char because int might match the return type of a gcc2
        builtin and then its argument prototype would still apply.  */
    char readline();

    int main() {
    readline()
    ; return 0; }
    EOF
    if { (eval echo configure:934: \&quot;$ac_link\&quot;) 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
      rm -rf conftest*
      eval "ac_cv_lib_$ac_lib_var=yes"
    else
      echo "configure: failed program was:" >&5
      cat conftest.$ac_ext >&5
      rm -rf conftest*
      eval "ac_cv_lib_$ac_lib_var=no"
    fi
    rm -f conftest*
    LIBS="$ac_save_LIBS"

    fi
    if eval "test \&quot;`echo '$ac_cv_lib_'$ac_lib_var`\&quot; = yes"; then
      echo "$ac_t""yes" 1>&6
      ac_safe=`echo "readline/readline.h" | sed 'y%./+-%__p_%'`
    echo $ac_n "checking for readline/readline.h""... $ac_c" 1>&6
    echo "configure:951: checking for readline/readline.h" >&5
    if eval "test \&quot;`echo '$''{'ac_cv_header_$ac_safe'+set}'`\&quot; = set"; then
      echo $ac_n "(cached) $ac_c" 1>&6
    else
      cat > conftest.$ac_ext <<EOF
    #line 956 "configure"
    #include "confdefs.h"
    #include <readline/readline.h>
    EOF
    ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
    { (eval echo configure:961: \&quot;$ac_try\&quot;) 1>&5; (eval $ac_try) 2>&5; }
    ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
    if test -z "$ac_err"; then
      rm -rf conftest*
      eval "ac_cv_header_$ac_safe=yes"
    else
      echo "$ac_err" >&5
      echo "configure: failed program was:" >&5
      cat conftest.$ac_ext >&5
      rm -rf conftest*
      eval "ac_cv_header_$ac_safe=no"
    fi
    rm -f conftest*
    fi
    if eval "test \&quot;`echo '$ac_cv_header_'$ac_safe`\&quot; = yes"; then
      echo "$ac_t""yes" 1>&6
      cat >> confdefs.h <<\EOF
    #define HAVE_LIBREADLINE 1
    EOF

         LIBS="$saved_LIBS -lreadline $TERMLIB"
    else
      echo "$ac_t""no" 1>&6
    fi

    else
      echo "$ac_t""no" 1>&6
    LIBS="$saved_LIBS"
    fi

    AC_CONFIG_FILES(Makefile)
    trap '' 1 2 15
    cat > confcache <<\EOF
    # This file is a shell script that caches the results of configure
    # tests run on this system so they can be shared between configure
    # scripts and configure runs.  It is not useful on other systems.
    # If it contains results you don't want to keep, you may remove or edit it.
    #
    # By default, configure uses ./config.cache as the cache file,
    # creating it if it does not exist already.  You can give configure
    # the --cache-file=FILE option to use a different cache file; that is
    # what configure does when it calls configure scripts in
    # subdirectories, so they share the cache.
    # Giving --cache-file=/dev/null disables caching, for debugging configure.
    # config.status only pays attention to the cache file if you give it the
    # --recheck option to rerun configure.
    #
    EOF
    # The following way of writing the cache mishandles newlines in values,
    # but we know of no workaround that is simple, portable, and efficient.
    # So, don't put newlines in cache variables' values.
    # Ultrix sh set writes to stderr and can't be redirected directly,
    # and sets the high bit in the cache file unless we assign to the vars.
    (set) 2>&1 |
      case `(ac_space=' '; set | grep ac_space) 2>&1` in
      *ac_space=\ *)
        # `set' does not quote correctly, so add quotes (double-quote substitution
        # turns \\\\ into \\, and sed turns \\ into \).
        sed -n \       -e "s/'/'\\\\''/g" \       -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
        ;;
      *)
        # `set' quotes correctly as required by POSIX, so do not add quotes.
        sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
        ;;
      esac >> confcache
    if cmp -s $cache_file confcache; then
      :
    else
      if test -w $cache_file; then
        echo "updating cache $cache_file"
        cat confcache > $cache_file
      else
        echo "not updating unwritable cache $cache_file"
      fi
    fi
    rm -f confcache

    trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

    test "x$prefix" = xNONE && prefix=$ac_default_prefix
    # Let make expand exec_prefix.
    test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

    # Any assignment to VPATH causes Sun make to only execute
    # the first set of double-colon rules, so remove it if not needed.
    # If there is a colon in the path, we need to keep it.
    if test "x$srcdir" = x.; then
      ac_vpsub='/^[     ]*VPATH[     ]*=[^:]*$/d'
    fi

    trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15

    # Transform confdefs.h into DEFS.
    # Protect against shell expansion while executing Makefile rules.
    # Protect against Makefile macro expansion.
    cat > conftest.defs <<\EOF
    s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
    s%[     `~#$^&*(){}\\|;'"<>?]%\\&amp;%g
    s%\[%\\&amp;%g
    s%\]%\\&amp;%g
    s%\$%$$%g
    EOF
    DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
    rm -f conftest.defs

    # Without the "./", some shells look in PATH for config.status.
    : ${CONFIG_STATUS=./config.status}

    echo creating $CONFIG_STATUS
    rm -f $CONFIG_STATUS
    cat > $CONFIG_STATUS <<EOF
    #! /bin/sh
    # Generated automatically by configure.
    # Run this file to recreate the current configuration.
    # This directory was configured as follows,
    # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
    #
    # $4 $ac_configure_args
    #
    # Compiler output produced by configure, useful for debugging
    # configure, is in ./config.log if it exists.

    ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
    for ac_option
    do
      case "\$ac_option" in
      -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
        echo "running \${CONFIG_SHELL-/bin/sh} $4 $ac_configure_args --no-create --no-recursion"
        exec \${CONFIG_SHELL-/bin/sh} $4 $ac_configure_args --no-create --no-recursion ;;
      -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
        echo "$CONFIG_STATUS generated by autoconf version 2.13"
        exit 0 ;;
      -help | --help | --hel | --he | --h)
        echo "\$ac_cs_usage"; exit 0 ;;
      *) echo "\$ac_cs_usage"; exit 1 ;;
      esac
    done

    ac_given_srcdir=$srcdir

    trap 'rm -fr `echo "" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
    EOF
    cat >> $CONFIG_STATUS <<EOF

    # Protect against being on the right side of a sed subst in config.status.
    sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&amp;%]/\\\\&amp;/g;
    s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
    $ac_vpsub
    $extrasub
    s%@SHELL@%$SHELL%g
    s%@CFLAGS@%$CFLAGS%g
    s%@CPPFLAGS@%$CPPFLAGS%g
    s%@CXXFLAGS@%$CXXFLAGS%g
    s%@FFLAGS@%$FFLAGS%g
    s%@DEFS@%$DEFS%g
    s%@LDFLAGS@%$LDFLAGS%g
    s%@LIBS@%$LIBS%g
    s%@exec_prefix@%$exec_prefix%g
    s%@prefix@%$prefix%g
    s%@program_transform_name@%$program_transform_name%g
    s%@bindir@%$bindir%g
    s%@sbindir@%$sbindir%g
    s%@libexecdir@%$libexecdir%g
    s%@datadir@%$datadir%g
    s%@sysconfdir@%$sysconfdir%g
    s%@sharedstatedir@%$sharedstatedir%g
    s%@localstatedir@%$localstatedir%g
    s%@libdir@%$libdir%g
    s%@includedir@%$includedir%g
    s%@oldincludedir@%$oldincludedir%g
    s%@infodir@%$infodir%g
    s%@mandir@%$mandir%g
    s%@CC@%$CC%g
    s%@CPP@%$CPP%g

    CEOF
    EOF

    cat >> $CONFIG_STATUS <<\EOF

    # Split the substitutions into bite-sized pieces for seds with
    # small command number limits, like on Digital OSF/1 and HP-UX.
    ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
    ac_file=1 # Number of current file.
    ac_beg=1 # First line for current file.
    ac_end=$ac_max_sed_cmds # Line after last line for current file.
    ac_more_lines=:
    ac_sed_cmds=""
    while $ac_more_lines; do
      if test $ac_beg -gt 1; then
        sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
      else
        sed "${ac_end}q" conftest.subs > conftest.s$ac_file
      fi
      if test ! -s conftest.s$ac_file; then
        ac_more_lines=false
        rm -f conftest.s$ac_file
      else
        if test -z "$ac_sed_cmds"; then
          ac_sed_cmds="sed -f conftest.s$ac_file"
        else
          ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
        fi
        ac_file=`expr $ac_file + 1`
        ac_beg=$ac_end
        ac_end=`expr $ac_end + $ac_max_sed_cmds`
      fi
    done
    if test -z "$ac_sed_cmds"; then
      ac_sed_cmds=cat
    fi
    EOF

    cat >> $CONFIG_STATUS <<EOF

    CONFIG_FILES=\${CONFIG_FILES-""}
    EOF
    cat >> $CONFIG_STATUS <<\EOF
    for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
      # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
      case "$ac_file" in
      *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
           ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
      *) ac_file_in="${ac_file}.in" ;;
      esac

      # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.

      # Remove last slash and all that follows it.  Not all systems have dirname.
      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
        # The file is in a subdirectory.
        test ! -d "$ac_dir" && mkdir "$ac_dir"
        ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
        # A "../" for each directory in $ac_dir_suffix.
        ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
      else
        ac_dir_suffix= ac_dots=
      fi

      case "$ac_given_srcdir" in
      .)  srcdir=.
          if test -z "$ac_dots"; then top_srcdir=.
          else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
      /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
      *) # Relative path.
        srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
        top_srcdir="$ac_dots$ac_given_srcdir" ;;
      esac

      echo creating "$ac_file"
      rm -f "$ac_file"
      configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
      case "$ac_file" in
      *Makefile*) ac_comsub="1i\\ # $configure_input" ;;
      *) ac_comsub= ;;
      esac

      ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
      sed -e "$ac_comsub
    s%@configure_input@%$configure_input%g
    s%@srcdir@%$srcdir%g
    s%@top_srcdir@%$top_srcdir%g
    " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
    fi; done
    rm -f conftest.s*

    EOF
    cat >> $CONFIG_STATUS <<EOF

    EOF
    cat >> $CONFIG_STATUS <<\EOF

    exit 0
    EOF
    chmod +x $CONFIG_STATUS
    rm -fr confdefs* $ac_clean_files
    test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1

    make *** [configure] Error 1

    when ive compiled i used superuser priv.

    tx for help hoping to hear news soon
    bye kcat

     
  • Joseph Watson

    Joseph Watson - 2011-06-08

    I have the exact same query. i have search google for the past few days and cannot find the solution. Is anyone even monitoring this forum?

     
  • Joseph Watson

    Joseph Watson - 2011-06-08

    Disregard… I figured it out. UBUNTU is a disaster form of LINUX. It was easier to install it on Fedora.

     
  • CSB

    CSB - 2011-06-10

    Hi,
    sorry I missed your posts, for some reason email notifications aren't getting to me. May I suggest you try a more recent release (1.00c or CVS if you can get that)…
    Cheers

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks